Name: xpdf
Version: 2.01
Release: alt3.2

Summary: A PDF file viewer for the X Window System
License: GPL
Group: Office
Url: http://www.foolabs.com/xpdf/
Packager: Victor Forsyuk <force@altlinux.ru>

%define urwdir %_datadir/fonts/default/Type1
%define srcurl ftp://ftp.foolabs.com/pub/xpdf

Source0: %srcurl/xpdf-%version.tar.gz
Source1: icons-%name.tar.bz2
Source2: %srcurl/xpdf-cyrillic-2002-jan-16.tar.gz
Source3: %srcurl/xpdf-greek-2002-feb-13.tar.gz
Source4: %srcurl/xpdf-hebrew-2002-oct-22.tar.gz
Source5: %srcurl/xpdf-latin2-2002-oct-22.tar.gz
Source6: %srcurl/xpdf-turkish-2002-apr-10.tar.gz
Source7: %srcurl/xpdf-chinese-simplified-2002-jun-17.tar.gz
Source8: %srcurlf/xpdf-chinese-traditional-2002-apr-14.tar.gz                             
Source9: %srcurl/xpdf-japanese-2002-apr-01.tar.gz                                        
Source10: %srcurl/xpdf-korean-2002-apr-01.tar.gz                                          
Source11: %srcurl/xpdf-thai-2002-jan-16.tar.gz                                            

Patch1: %name-1.00-zapf.patch
Patch2: %name-1.00-antihigh.patch
Patch3: %name-2.01-urlcommand.patch
Patch4: %name-2.02-url.patch

Patch4: %name-nonumericlocale.patch
# official security fix
Patch5: ftp://ftp.foolabs.com/pub/xpdf/xpdf-2.01-patch1
Patch6: xpdf-CESA-2004-007-xpdf2-new.diff


Requires: t1lib >= 1.0, urw-fonts
Requires: urlview

BuildPreReq: lesstif-devel
BuildPreReq: freetype2-devel >= 2.0.5

# Automatically added by buildreq on Wed Nov 06 2002
BuildRequires: XFree86-devel altlinux-release freetype2-devel gcc-c++ libstdc++-devel t1lib-devel xpm-devel

# xpdf moans when xpdfrc points to thai files that does not installed.
# instead of editing xpdfrc when (un)installing xpdf-thai, we eliminate
# this package and move thai files to main xpdf package
Obsoletes: xpdf-thai

%description
Xpdf is an X Window System based viewer for Portable Document Format (PDF)
files. PDF files are sometimes called Acrobat files, after Adobe Acrobat
(Adobe's PDF viewer). Xpdf is a small and efficient program which uses
standard X fonts.

%package chinese-simplified
Summary: ISO-2022-CN, EUC-CN and GBK encoding support for xpdf
Group: Office
Requires: %name = %version-%release

%description chinese-simplified
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.) 
This package provides support files needed to use the Xpdf tools with
Chinese-simplified PDF files.

%package chinese-traditional
Summary: Big5 and Big5ascii encoding support for xpdf
Group: Office
Requires: %name = %version-%release

%description chinese-traditional
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.) 
This package provides support files needed to use the Xpdf tools with
Chinese-traditional PDF files.

%package japanese
Summary: ISO-2022-JP, EUC-JP and Shift-JIS encoding support for xpdf
Group: Office
Requires: %name = %version-%release

%description japanese
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.) 
This package provides support files needed to use the Xpdf tools with
Japanese PDF files.

%package korean
Summary: ISO-2022-KR (KSX1001) encoding support for xpdf
Group: Office
Requires: %name = %version-%release

%description korean
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.) 
This package provides support files needed to use the Xpdf tools with
Korean PDF files.


%prep
%setup -q -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11

%patch1 -p1
%patch2 -p1

%patch3 -p1

%patch4 -p1
pushd xpdf
%patch5 -p0
popd
%patch6 -p1

%build
CXXFLAGS="%optflags %optflags_nocpp"
%configure \
	   --bindir=%_bindir \
	   --mandir=%_mandir \
	   --enable-a4-paper \
	   --enable-opi \
	   --enable-freetype2 \
	   --with-freetype2-includes=%_includedir/freetype2

make urwdir=%urwdir

subst 's@/usr/local/etc/@%_sysconfdir/@' doc/*.1 doc/*.5
subst 's@/usr/local/share/ghostscript/fonts@%urwdir@' doc/sample-xpdfrc doc/*.1 doc/*.5
subst 's@^#displayFontT1@displayFontT1@' doc/sample-xpdfrc

for i in cyrillic greek hebrew latin2 turkish \
         chinese-simplified chinese-traditional japanese korean thai; do
	subst 's@/usr/local/share/xpdf@%_datadir/xpdf@' \
		xpdf-$i/add-to-xpdfrc \
		xpdf-$i/README
	echo >> doc/sample-xpdfrc
	cat xpdf-$i/add-to-xpdfrc >> doc/sample-xpdfrc
	rm xpdf-$i/add-to-xpdfrc
done

%install
make DESTDIR=%buildroot install
for i in cyrillic greek hebrew latin2 turkish \
         chinese-simplified chinese-traditional japanese korean thai; do
	mkdir -p %buildroot%_datadir/%name/$i
	cp -a xpdf-$i/* %buildroot%_datadir/%name/$i/
done

install -d %buildroot%_menudir
cat > %buildroot%_menudir/xpdf <<EOF
?package(xpdf): command="xpdf" needs="X11" \
icon="xpdf.png" section="Applications/Publishing" title="Xpdf" \
longtitle="Views PDF files"
EOF

# mdk icons
install -d %buildroot%_iconsdir
tar xjf %SOURCE1 -C %buildroot%_iconsdir

%post
%update_menus

%postun
%clean_menus

%files
%doc CHANGES README
%_bindir/*
%_mandir/man1/*
%_mandir/man5/*
%_menudir/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%dir %_datadir/%name
%_datadir/%name/cyrillic
%_datadir/%name/greek
%_datadir/%name/hebrew
%_datadir/%name/latin2
%_datadir/%name/thai
%_datadir/%name/turkish
%config(noreplace) %_sysconfdir/xpdfrc

%files chinese-simplified
%_datadir/%name/chinese-simplified

%files chinese-traditional
%_datadir/%name/chinese-traditional

%files japanese
%_datadir/%name/japanese

%files korean
%_datadir/%name/korean

%changelog
* Mon Oct 18 2004 Stanislav Ievlev <inger@altlinux.org> 2.01-alt3.2
- sec fix

* Fri Jun 20 2003 Dmitry V. Levin <ldv@altlinux.org> 2.01-alt3.1
- Fixed securiry issue (VU#200132).

* Sun Feb 02 2003 Victor Forsyuk <force@altlinux.ru> 2.01-alt3
- move thai language support to main xpdf package
- openmotif cause warning messages on stderror when exiting xpdf
  and we have patch to avoid SEGV with lesstif, so switch back
  to lesstif.

* Wed Jan 08 2003 Victor Forsyuk <force@altlinux.ru> 2.01-alt2
- added official security patch (pdfto* can be used as filters)
- added nonumericlocale patch to avoid SEGV caused by LC_NUMERIC with ',' as
  decimal point
- added "-fno-exceptions -fno-rtti" to CXXFLAGS
- switch from xpdf-handle-url to url_handler.sh (provided by urlview package)

* Tue Dec 17 2002 Victor Forsyuk <force@altlinux.ru> 2.01-alt1
- new version
- switch from lesstif to openmotif: fixes BTS #0001657 and #0001737

* Wed Nov 06 2002 Victor Forsyuk <force@altlinux.ru> 2.00-alt1
- new version
- use freetype2 unconditionally
- add build requirement for t1lib-devel
- purge eliminated configure parameters
- move out asian languages support (huge!) to separate packages
- install xpdf-url-handler script to be used as urlCommand

* Mon Oct 28 2002 AEN <aen@altlinux.ru> 1.01-alt1
- new spec from MDK
- new version

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.93-alt2
- built with freetype2

* Mon Oct 29 2001 AEN <aen@logic.ru> 0.93-alt1
- new version

* Thu Dec 07 2000 AEN <aen@logic.ru>
- new version
- build for RE
* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 0.91-7mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 0.91-6mdk
- build with generic optflags (ghibo )

* Mon Oct 09 2000 Daouda Lo <daouda@mandrakesoft.com> 0.91-5mdk
- icons

* Sat Oct 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.91-4mdk
- fixed 0.91-t1urw patch.

* Sat Oct 07 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.91-3mdk
- re-adapted patch 0.90-t1urw to version 0.91 (it allows to use
  Type1 URW fonts for standard PDF 14 fonts for better quality).

* Fri Oct 06 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.91-2mdk
- fixed a typo in %post and %postun scripts.
- added icons.
- added rgb, patch from RedHat.
- enabled opi.

* Tue Aug 15 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.91-1mdk
- s|0.90|0.91| aka decrypt me babe.
- remove the font patch.

* Wed Aug 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-11mdk
- BM
- spechelper

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.90-10mdk
- automatically added BuildRequires

* Fri Apr 21 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.90-9mdk
- removed xpdf.desktop also from the %install stage.

* Sat Apr 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.90-8mdk
- updated for t1lib 1.0.1.
- added things for new menu entry.
- removed xpdf.desktop.

* Thu Mar 02 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.90-7mdk
- increased default antialias font level from low to high. Files look
  nicer.

* Tue Feb 08 2000 Geoffrey Lee <snailtalk@linux-mandrake.com> 0.90-6mdk
- Correct the URL in the spec file
- remove egcs as build require

* Thu Jan 13 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.90-5mdk
- Fix build as non-root.

* Sat Dec 18 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed a bug for Times-Italic and Helvetica-BoldOblique name in URW fonts.

* Tue Dec 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix for gcc-2.95.

* Fri Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- built for Oxygen.

* Mon Sep 27 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added patch to use aliased Type 1 URW fonts by default for standard
  14 PDF fonts.
- added Preston Brown <pbrown@redhat.com>'s zapf patch.

* Wed Aug 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- update to version 0.90.
- strip binaries.
- added t1lib dependencies.

* Thu May  6 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 4)

* Wed Mar 17 1999 Preston Brown <pbrown@redhat.com>
- converted wmconfig to desktop entry

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Nov 30 1998 Preston Brown <pbrown@redhat.com>
- updated to 0.80

* Fri Nov 06 1998 Preston Brown <pbrown@redhat.com>
- patched to compile with new, stricter egcs

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- updated to 0.7a

* Thu Nov 20 1997 Otto Hammersmith <otto@redhat.com>
- added changelog
- added wmconfig
